package com.zd.speaker.domain.vo;

import com.zd.common.core.utils.StringUtils;
import io.swagger.annotations.ApiModelProperty;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author 董高升
 * @descript 播放vo
 */
public class PlayBatchVo {

    private static Logger logger = LoggerFactory.getLogger(PlayBatchVo.class);

    @ApiModelProperty(required = true, notes = "设备编号")
    private String[] sns;
    @ApiModelProperty(required = false, notes = "方便对接时传递任务类型")
    private String type;
    @ApiModelProperty(required = false, notes = "任务名称")
    private String name;
    @ApiModelProperty(required = false, notes = "播放参数")
    private ParamVo params;

    public String[] getSns() {
        return sns;
    }

    public void setSns(String[] sns) {
        this.sns = sns;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        if(StringUtils.isBlank(name)){
            this.type="req";
        }else{
            this.type = type;
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        if(StringUtils.isBlank(name)){
            this.name="songs_queue_append";
        }else{
            this.name = name;
        }
    }

    public ParamVo getParams() {
        return params;
    }

    public void setParams(ParamVo params) {
        this.params = params;
    }

    @Override
    public String toString() {
        return "PlayVo{" +
                "sns='" + sns + '\'' +
                ", type='" + type + '\'' +
                ", name='" + name + '\'' +
                ", params=" + params +
                '}';
    }
}
